# suite config
actor: AcceptanceTester
path: Acceptance
bootstrap: _bootstrap.php
modules:
  enabled:
    - Asserts
    - WebDriver:
        url: '%SHOP_URL%'
        browser: firefox
        port: '%SELENIUM_SERVER_PORT%'
        window_size: 1920x1080
        clear_cookies: true
    - Db:
        dsn: 'mysql:host=%DB_HOST%;dbname=%DB_NAME%;charset=utf8'
        user: '%DB_USERNAME%'
        password: '%DB_PASSWORD%'
        port: '%DB_PORT%'
        dump: '%DUMP_PATH%'
        populate: true # run populator before all tests
        cleanup: true # run populator before each test
        populator: '%PHP_BIN% %VENDOR_PATH%/bin/reset-shop'
    - \OxidEsales\Codeception\Module\Oxideshop:
        screen_shot_url: '%SCREEN_SHOT_URL%'
        depends:
          - WebDriver
          - Db
    - \OxidEsales\Codeception\Module\OxideshopAdmin:
        depends:
          - WebDriver
          - \OxidEsales\Codeception\Module\Oxideshop
    - \OxidEsales\Codeception\Module\Database:
        depends: Db
    - \OxidEsales\Codeception\Module\Translation\TranslationsModule:
        shop_path: '%SHOP_SOURCE_PATH%'
        paths: 'Application/views/flow'